using System;
					
public class Program
{
	public static void Main()
	{
		string s = Console.ReadLine();
        string[] br = Console.ReadLine().Split(' ');
        string c1 = s[0].ToString();
        string c2 = s[1].ToString();
        int a1 = int.Parse(br[0]);
        int a2 = int.Parse(br[1]);
        int zbir= a1 + a2;
        string resenje = " ";
		while (0 < a1 && a2 > 0) 
		{
            resenje += c1 + c2;
            a1--;
            a2--;
        }

        if (resenje.Length < zbir) 
		{
            Console.WriteLine("nemoguce");
        }
        else 
		{
            Console.WriteLine(resenje);
        }
	}
}